## 用户登录获取token

### 1.获取验证码和RSA私钥

#### 请求 URL:
> http://114.244.114.158:9205/prod-api/code

#### 请求方法:
> get

#### 参数:
> 无

#### 返回结果

|  返回字段   | 字段类型  |  字段说明  |
|  ------------  | ------------  | ------------  |
| code  | 数值    | 返回码 200成功 其他失败 |
| msg   | 字符串   | 返回信息 |
| img   | 字符串   | 验证码照片，照片的base64 |
| captchaEnabled | 布尔值   | 是否开启验证码验证 |
| uuid   | 字符串| 验证码UUID |
| publicKeyString  | 字符串 | RSA的公钥 |


### 2.登录接口

#### 接口地址:
> http://114.244.114.158:9205/prod-api/auth/login

#### 请求方法:
> post

#### 参数:

|  字段   | 字段类型  |  字段说明  |
|  ------------  | ------------  | ------------  |
| username  | 字符串   | 用户名，使用rsa进行加密 |
| password  | 字符串   | 密码，使用rsa进行加密 |
| uuid   | 字符串| 验证码UUID |
| code  | 字符串 | 验证码 |

#### 返回结果

|  返回字段   | 字段类型  |  字段说明  |
|  ------------  | ------------  | ------------  |
| code  | 数值    | 返回码 200成功 其他失败 |
| msg   | 字符串   | 返回信息 |
| data.access_token   | 字符串   | 登录token |



### 2.登录接口

#### 接口地址:
> http://114.244.114.158:9205/prod-api/auth/login

#### 请求方法:
> post

#### 参数:

|  字段   | 字段类型  |  字段说明  |
|  ------------  | ------------  | ------------  |
| username  | 字符串   | 用户名，使用rsa进行加密 |
| password  | 字符串   | 密码，使用rsa进行加密 |
| uuid   | 字符串| 验证码UUID |
| code  | 字符串 | 验证码 |

#### 返回结果

|  返回字段   | 字段类型  |  字段说明  |
|  ------------  | ------------  | ------------  |
| code  | 数值    | 返回码 200成功 其他失败 |
| msg   | 字符串   | 返回信息 |
| data.access_token   | 字符串   | 登录token |



### 3.批次数据

#### 接口地址:
> http://114.244.114.158:9205/prod-api/apply/supervise/pcsj/list

#### 请求方法:
> get

#### 请求头:

|  字段   | 字段类型  |是否必输  |  字段说明  |
|  ------------  | ------------  | ------------  | ------------  |
| Authorization   | 字符串      | 是      | token认证。值为Bearer+空格+登录获取的TOKEN 。例子（Bearer eyJhbGciO） |

#### 参数:

|  字段   | 字段类型  |是否必输  |  字段说明  |
|  ------------  | ------------  | ------------  | ------------  |
| pageNum   | 数值      | 否      |  页数         |
| pageSize  | 数值      | 否      |  每页个数     |
| name      | 字符串    | 否      |  文件名称 |
| xzqdm     | 字符串    | 否      |  行政区代码 |
| beginTime | 字符串    | 否      |  数据日期，开始时间 |
| endTime   | 字符串    | 否      |  数据日期，截止时间 |

#### 返回结果

|  返回字段   | 字段类型  |  字段说明  |
|  ------------  | ------------  | ------------  |
| code   | 数值     | 返回码 200成功 其他失败 |
| msg    | 字符串   | 返回信息 |
| total  | 数值     | 总条数 |
| rows   | 列表循环  |   结果列表     |
| rows[i].id   | 字符串  |   id     |
| rows[i].name   | 字符串  |   文件名称     |
| rows[i].xzqdm   | 字符串  |   行政区代码     |
| rows[i].xzqmc   | 字符串  |   行政区名称     |
| rows[i].spotsnumber   | 数值  |   图斑个数     |
| rows[i].spotsarea   | 数值  |   图斑面积     |
| rows[i].spotssize   | 数值  |   图斑文件大小，单位：字节     |
| rows[i].readtime   | 字符串  |   上传时间,格式YYYY-MM-DD HH24:MI:SS     |
| rows[i].filetime   | 字符串  |   数据日期,格式YYYYMMDD    |


### 4.生成下载KEY

#### 接口地址:
> http://114.244.114.158:9205/prod-api/apply/supervise/pcsj/download/url/{id}

#### 请求方法:
> get

#### 请求头:

|  字段   | 字段类型  |是否必输  |  字段说明  |
|  ------------  | ------------  | ------------  | ------------  |
| Authorization   | 字符串      | 是      | token认证。值为Bearer+空格+登录获取的TOKEN 。例子（Bearer eyJhbGciO） |

#### 参数:

|  字段   | 字段类型  |是否必输  |  字段说明  |
|  ------------  | ------------  | ------------  | ------------  |
| id        | 字符串    | 是      |  列表中ID         |

#### 返回结果

|  返回字段   | 字段类型  |  字段说明  |
|  ------------  | ------------  | ------------  |
| code   | 数值     | 返回码 200成功 其他失败 |
| msg    | 字符串   | 返回信息 |
| data   | 字符串   | 下载KEY |


### 4.生成下载地址，并下载文件

#### 接口地址:
> http://114.244.114.158:9205/prod-api/file/spot/download/shp/file/{id}/{key}

#### 请求方法:

> get

#### 请求头:

>无

#### 参数:

|  字段   | 字段类型  |是否必输  |  字段说明  |
|  ------------  | ------------  | ------------  | ------------  |
| id        | 字符串    | 是      |  列表中ID         |
| key        | 字符串    | 是      |  生成下载KEY         |

#### 返回结果

> 返回文件流